# -*- coding: utf-8 -*-
# Generated by Django 1.10.2 on 2016-10-22 21:11
from __future__ import unicode_literals

import autoslug.fields
import cms.common.fields
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('contenttypes', '0002_remove_content_type_name'),
        ('content', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Page',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=255, verbose_name='title')),
                ('slug', autoslug.fields.AutoSlugField(blank=True, editable=True, populate_from='title', unique_with=('language',), verbose_name='slug')),
                ('published', models.BooleanField(default=True, verbose_name='published')),
                ('order', models.PositiveSmallIntegerField(default=0, verbose_name='order')),
                ('homepage', models.BooleanField(default=False, verbose_name='homepage')),
                ('react_component_name', models.CharField(blank=True, help_text='Leave it blank to use default component.', max_length=255, null=True, verbose_name='react component name')),
                ('language', cms.common.fields.LanguageField(choices=[('any', '(any)'), ('en', 'English')], default='any', max_length=5, verbose_name='language')),
            ],
            options={
                'verbose_name_plural': 'pages',
                'verbose_name': 'page',
                'ordering': ('language', 'order', 'title'),
            },
        ),
        migrations.CreateModel(
            name='PageArticle',
            fields=[
                ('page_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='pages.Page')),
                ('article', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='pages', to='content.Article', verbose_name='article')),
            ],
            options={
                'verbose_name_plural': 'article pages',
                'verbose_name': 'article page',
            },
            bases=('pages.page',),
        ),
        migrations.CreateModel(
            name='PageCategory',
            fields=[
                ('page_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='pages.Page')),
                ('category', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='pages', to='content.Category', verbose_name='category')),
            ],
            options={
                'verbose_name_plural': 'category pages',
                'verbose_name': 'category page',
            },
            bases=('pages.page',),
        ),
        migrations.CreateModel(
            name='PageCustomComponent',
            fields=[
                ('page_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='pages.Page')),
                ('meta_title_override', models.CharField(blank=True, default='', max_length=255, verbose_name='page title override')),
                ('meta_title_site_name_suffix', models.NullBooleanField(default=None, verbose_name='site name suffix in page title')),
                ('meta_description_override', models.CharField(blank=True, default='', max_length=255, verbose_name='description override')),
                ('meta_robots_override', models.CharField(blank=True, default='', max_length=255, verbose_name='robots override')),
            ],
            options={
                'verbose_name_plural': 'custom component pages',
                'verbose_name': 'custom component page',
            },
            bases=('pages.page', models.Model),
        ),
        migrations.AddField(
            model_name='page',
            name='polymorphic_ctype',
            field=models.ForeignKey(editable=False, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='polymorphic_pages.page_set+', to='contenttypes.ContentType'),
        ),
    ]
